質問編集履歴

1 webpack2ではなく、webpack3(3.4.1)でした。

退会済みユーザー

退会済みユーザー

2017/09/26 16:01  投稿

webapck2でのプラグイン設定でのエラーにつきまして
webapck3でのプラグイン設定でのエラーにつきまして
webpack1で本番環境用に下記を記述していたのですが、
---webpack1で本番環境用に下記を記述していたのですが、
```
new webpack.optimize.DedupePlugin(),
new webpack.optimize.OccurenceOrderPlugin()
```
webpack2に変更したところ、
webpack3に変更したところ、
OccurenceOrderPluginに対して下記のようなエラーが出て、
DebupePluginに対してはWarningがでましたが、二つとも記述しなくてもデフォルトで設定されているのでしょうか?
```
_webpack2.default.optimize.OccurenceOrderPlugin is not a constructor
```
```
WARNING in DedupePlugin: This plugin was removed from webpack. Remove it from your configuration.
```
  • webpack

    459 questions

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る